// EDACDgCp.hpp : header file
/////////////////////////////////////////////////////////////////////////////
#ifndef _CPACCPYD_HPP_
#define _CPACCPYD_HPP_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "EdAcIRes.h"

class CPA_Actor;

/////////////////////////////////////////////////////////////////////////////
// EdActors_CopyDialog dialog

class EdActors_CopyDialog : public CDialog
{
// Construction
public:
	// standard constructor
	EdActors_CopyDialog(CPA_Actor *_pclSourceActor, CWnd* _pParent = NULL);  
	//Destructor
	~EdActors_CopyDialog();

// Dialog Data
	//{{AFX_DATA(EdActors_CopyDialog)
	enum { IDD = IDD_CAR_D_ACTOR_COPY };
	long	m_lCopiesNumber;
	CString	m_csNewName;
	BOOL	m_bNameAuto;
	BOOL	m_bAutoName;
	//}}AFX_DATA

private:
	HINSTANCE m_hOldInstance;

	CPA_Actor *m_pclSourceActor;
	CBitmap m_cbBitmap;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(EdActors_CopyDialog)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(EdActors_CopyDialog)
	virtual void OnOK();
	virtual BOOL OnInitDialog();
	afx_msg void OnChangeEditCopiesNumber();
	afx_msg void OnDestroy();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
#endif //_CPACCPYD_HPP_

